Skip to main content
GET
/
v4
/
banks
/
plaidItems
Get Plaid items
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/banks/plaidItems \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v4/banks/plaidItems"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v4/banks/plaidItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "status": "ACTIVE",
    "createdDate": "2023-11-07T05:31:56Z",
    "apiItemId": "3E51DvPAgMigGmybkpv9tzNjbjboEotqykvEo",
    "apiInstitutionId": "ins_4",
    "apiInstitutionName": "Citi",
    "apiAccessToken": "access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147",
    "id": 123,
    "isInitialReady": true,
    "isHistoricalReady": true,
    "apiErrorType": "ITEM_ERROR,API_ERROR",
    "apiErrorCode": "ITEM_LOGIN_REQUIRED",
    "apiErrorDisplayMessage": "<string>",
    "apiErrorMessage": "the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
    "additionalConsentRequired": true,
    "lastInstitutionTranDate": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

status
enum<string>
required

Status of this Plaid Item

Available options:
ACTIVE,
DELETED
Example:

"ACTIVE"

createdDate
string<date-time>
required

Date Plaid Item got created

apiItemId
string
required

Id of the Plaid Item, for reference within Plaid's API

Example:

"3E51DvPAgMigGmybkpv9tzNjbjboEotqykvEo"

apiInstitutionId
string
required

Id of the institution that the transaction originated from

Example:

"ins_4"

apiInstitutionName
string
required

Name of the institution that the transaction originated from

Example:

"Citi"

apiAccessToken
string
required

Access Token of the Plaid Item, for reference within Plaid's API

Example:

"access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147"

id
integer<int64>

Id of the Plaid Item, required when updating existing Plaid Item

isInitialReady
boolean
read-only

Whether the INITIAL Plaid Item webhook has been sent by Plaid, indicating that recent transactions are available

Example:

true

isHistoricalReady
boolean
read-only

Whether the HISTORICAL Plaid Item webhook has been sent by Plaid, indicating that historical transactions are available

Example:

true

apiErrorType
string

error_type of the Plaid error

Example:

"ITEM_ERROR,API_ERROR"

apiErrorCode
string

error_code of the Plaid error

Example:

"ITEM_LOGIN_REQUIRED"

apiErrorDisplayMessage
string

display_message of the Plaid error

apiErrorMessage
string

error_message of the Plaid error

Example:

"the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state"

Flag to indicate additional user consent is required to access all features available on this integration. Commonly used to indicate there are more available products on a Plaid Item.

lastInstitutionTranDate
string<date-time>

Date of most recent transaction under the same institution as this Plaid item